Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Interface IRtfHyperLinkContainer

All Superinterfaces:
  IRtfTextContainer

All Known Implementing Classes:
  RtfParagraph

    public interface IRtfHyperLinkContainer

extends IRtfTextContainer

Interface for RtfElements that can contain RtfHyperLinks.

This work was authored by Andreas Putz (a.putz@skynamics.com).

Method Summary
`RtfHyperLink` | `newHyperLink(java.lang.String str, RtfAttributes attr)` Creates a new hyperlink.

Methods inherited from interface org.apache.fop.render.rtf.rtflib.rtfdoc.IRtfTextContainer
`getTextContainerAttributes, newLineBreak, newText, newText`

Method Detail

### newHyperLink

    RtfHyperLink newHyperLink(java.lang.String str,
                              RtfAttributes attr)
                              throws java.io.IOException

  Creates a new hyperlink.

  Parameters:
    `str` - Hyperlink string
    `attr` - Hyperlink attributes
  Returns:
    new Hyperlink object
  Throws:
    `java.io.IOException` - on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.